Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.conf
Interface JDOConfiguration

All Superinterfaces:
  java.beans.BeanInfo, Configuration, java.io.Serializable

All Known Subinterfaces:
  JDBCConfiguration, JDOConnectionFactory, JDOManagedConnectionFactory

All Known Implementing Classes:
  JDBCConnectionFactory, JDBCManagedConnectionFactory, SimpleJDBCConfiguration, SimpleJDOConfiguration

public interface JDOConfiguration
extends Configuration

Defines the properties necessary to configure runtime properties and connect to a data source.

The following is a list of recognized properties:

- com.solarmetric.kodo.LicenseKey
- com.solarmetric.kodo.FetchThreshold
- com.solarmetric.kodo.FetchBatchSize
- com.solarmetric.kodo.ConnectionProperties
- com.solarmetric.kodo.ConnectionFactoryProperties
- com.solarmetric.kodo.FilterListenerClasses
- com.solarmetric.kodo.ClassResolverClass
- com.solarmetric.kodo.ClassResolverProperties
- com.solarmetric.kodo.PersistenceManagerClass
- com.solarmetric.kodo.PersistenceManagerProperties
- com.solarmetric.kodo.DataCacheClass
- com.solarmetric.kodo.DataCacheProperties
- com.solarmetric.kodo.UseManagedRuntime
- com.solarmetric.kodo.ManagedRuntimeClass
- com.solarmetric.kodo.ManagedRuntimeProperties
- com.solarmetric.kodo.ProxyManagerClass
- com.solarmetric.kodo.ProxyManagerProperties
- javax.jdo.PersistenceManagerFactoryClass
- javax.jdo.option.Optimistic
- javax.jdo.option.RetainValues
- javax.jdo.option.RestoreValues
- javax.jdo.option.IgnoreCache
- javax.jdo.option.NontransactionalRead
- javax.jdo.option.NontransactionalWrite
- javax.jdo.option.Multithreaded
- javax.jdo.option.ConnectionUserName
- javax.jdo.option.ConnectionPassword
- javax.jdo.option.ConnectionURL
- javax.jdo.option.ConnectionDriverName
- javax.jdo.option.ConnectionFactoryName
- javax.jdo.option.ConnectionFactory2Name

See Also:
  `Configuration`

Field Summary
`static java.lang.String` | `LOG_DATACACHE` Name of logger for messages from the data cache: `com.solarmetric.kodo.DataCache`.
`static java.lang.String` | `LOG_ENHANCE` Name of logger for enhancement-related messages: `com.solarmetric.kodo.Enhance`.
`static java.lang.String` | `LOG_METADATA` Name of logger for JDO metadata-related messages: `com.solarmetric.kodo.MetaData`.
`static java.lang.String` | `LOG_RUNTIME` Name of logger for messages from the runtime system: `com.solarmetric.kodo.Runtime`.

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`com.solarmetric.rd.kodo.util.ClassResolver` | `getClassResolver()` The `ClassResolver` to use.
`java.lang.String` | `getClassResolverClass()` The full class name of the `ClassResolver` to use for custom class loading.
`java.lang.String` | `getClassResolverProperties()` Configuration options for the `ClassResolver`.
`java.lang.String` | `getConnectionDriverName()` Class name of the Connection Driver.
`java.lang.Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`java.lang.Object` | `getConnectionFactory2()` The connection factory, possibly from JNDI.
`java.lang.String` | `getConnectionFactory2Name()` The name for the second data store connection factory.
`java.lang.String` | `getConnectionFactoryName()` The name for the data store connection factory.
`java.lang.String` | `getConnectionFactoryProperties()` Configuration properties for the connection factory.
`java.lang.String` | `getConnectionPassword()` The password for the data store connection.
`java.lang.String` | `getConnectionProperties()` These properties provide any additional information needed to establish connections.
`java.lang.String` | `getConnectionURL()` The URL for the data store connection.
`java.lang.String` | `getConnectionUserName()` The user name for the data store connection.
`com.solarmetric.rd.kodo.runtime.datacache.DataCache` | `getDataCache()` The L2 `DataCache` to use.
`java.lang.String` | `getDataCacheClass()` The `DataCache` to use for level-2 data store caching.
`java.lang.String` | `getDataCacheProperties()` Configuration options for the `DataCache`.
`int` | `getFetchBatchSize()` Get the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`int` | `getFetchThreshold()` Get the threshold below which result lists will be completely instantiated upon their creation.
`java.lang.String` | `getFilterListenerClasses()` A ','-separted list of the class names of the query `FilterListener`s to use.
`com.solarmetric.rd.kodo.query.FilterListener[]` | `getFilterListeners()` Return the query filter listeners.
`boolean` | `getIgnoreCache()` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`com.solarmetric.rd.license.License` | `getLicense()` Return the license for the set license key.
`java.lang.String` | `getLicenseKey()` The license key for Kodo.
`com.solarmetric.rd.kodo.runtime.ManagedRuntime` | `getManagedRuntime()` The plugin to use for integrating with a managed runtime.
`java.lang.String` | `getManagedRuntimeClass()` The full class name of the `ManagedRuntime` to use for managed environments.
`java.lang.String` | `getManagedRuntimeProperties()` Configuration options for the `ManagedRuntime`.
`com.solarmetric.rd.kodo.meta.JDOMetaDataRepository` | `getMetaDataRepository()` The metadata repository of managed class information.
`boolean` | `getMultithreaded()` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalRead()` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalWrite()` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getOptimistic()` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`java.lang.String` | `getPersistenceManagerClass()` The full class name of the `PersistenceManager` type to create.
`java.lang.String` | `getPersistenceManagerFactoryClass()` The `PersistenceManagerFactory` class name.
`java.lang.String` | `getPersistenceManagerProperties()` Configuration options for the `PersistenceManager`.
`com.solarmetric.rd.kodo.util.ProxyManager` | `getProxyManager()` The `ProxyManager` to use.
`java.lang.String` | `getProxyManagerClass()` The full class name of the `ProxyManager` to use for second class object proxies.
`java.lang.String` | `getProxyManagerProperties()` Configuration for the `ProxyManager`.
`boolean` | `getRestoreValues()` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getRetainValues()` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getUseManagedRuntime()` Whether to use managed transactions for persistence managers produced by the configured factory.
`void` | `setClassResolver(com.solarmetric.rd.kodo.util.ClassResolver classResolver)` The `ClassResolver` to use.
`void` | `setClassResolverClass(java.lang.String classResolverClass)` The full class name of the `ClassResolver` to use for custom class loading.
`void` | `setClassResolverProperties(java.lang.String classResolverProperties)` Configuration options for the `ClassResolver`.
`void` | `setConnectionDriverName(java.lang.String driverName)` Class name of the Connection Driver.
`void` | `setConnectionFactory(java.lang.Object factory)` The connection factory.
`void` | `setConnectionFactory2(java.lang.Object factory)` The connection factory.
`void` | `setConnectionFactory2Name(java.lang.String cf2Name)` The name for the second data store connection factory.
`void` | `setConnectionFactoryName(java.lang.String cfName)` The name for the data store connection factory.
`void` | `setConnectionFactoryProperties(java.lang.String props)` Configuration properties for the connection factory.
`void` | `setConnectionPassword(java.lang.String connectionPassword)` The password for the data store connection.
`void` | `setConnectionProperties(java.lang.String props)` These properties provide any additional information needed to establish connections.
`void` | `setConnectionURL(java.lang.String connectionURL)` The URL for the data store connection.
`void` | `setConnectionUserName(java.lang.String connectionUserName)` The user name for the data store connection.
`void` | `setDataCache(com.solarmetric.rd.kodo.runtime.datacache.DataCache cache)` The L2 `DataCache` to use.
`void` | `setDataCacheClass(java.lang.String dataCacheClass)` The `DataCache` to use for level-2 data store caching.
`void` | `setDataCacheProperties(java.lang.String props)` Configuration options for the `DataCache`.
`void` | `setFetchBatchSize(int size)` Set the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`void` | `setFetchBatchSize(java.lang.Integer size)` Wrapper for JCA usage of `setFetchBatchSize(int)`.
`void` | `setFetchThreshold(int threshold)` Set the threshold below which result lists will be completely instantiated upon their creation.
`void` | `setFetchThreshold(java.lang.Integer threshold)` Wrapper for JCA usage of `setFetchThreshold(int)`.
`void` | `setFilterListenerClasses(java.lang.String listeners)` A ','-separted list of the class names of the query `FilterListener`s to use.
`void` | `setFilterListeners(com.solarmetric.rd.kodo.query.FilterListener[] listeners)` Set the query filter listeners.
`void` | `setIgnoreCache(boolean ignoreCache)` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`void` | `setIgnoreCache(java.lang.Boolean ignoreCache)` Wrapper for JCA usage of `setIgnoreCache(boolean)`.
`void` | `setLicenseKey(java.lang.String licenseKey)` The license key for Kodo.
`void` | `setManagedRuntime(com.solarmetric.rd.kodo.runtime.ManagedRuntime runtime)` The plugin to use for integrating with a managed runtime.
`void` | `setManagedRuntimeClass(java.lang.String managedRuntimeClass)` The full class name of the `ManagedRuntime` to use for managed environments.
`void` | `setManagedRuntimeProperties(java.lang.String props)` Configuration options for the `ManagedRuntime`.
`void` | `setMetaDataRepository(com.solarmetric.rd.kodo.meta.JDOMetaDataRepository mdRepos)` The metadata repository of managed class information.
`void` | `setMultithreaded(boolean multithreaded)` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`void` | `setMultithreaded(java.lang.Boolean multithreaded)` Wrapper for JCA usage of `setMultithreaded(boolean)`.
`void` | `setNontransactionalRead(boolean ntRead)` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalRead(java.lang.Boolean ntRead)` Wrapper for JCA usage of `setNontransactionalRead(boolean)`.
`void` | `setNontransactionalWrite(boolean ntWrite)` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalWrite(java.lang.Boolean ntWrite)` Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.
`void` | `setOptimistic(boolean optimistic)` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`void` | `setOptimistic(java.lang.Boolean optimistic)` Wrapper for JCA usage of `setOptimistic(boolean)`.
`void` | `setPersistenceManagerClass(java.lang.String pmClass)` The full class name of the `PersistenceManager` type to create.
`void` | `setPersistenceManagerFactoryClass(java.lang.String pmFactoryClass)` The `PersistenceManagerFactory` class name.
`void` | `setPersistenceManagerProperties(java.lang.String props)` Configuration options for the `PersistenceManager`.
`void` | `setProxyManager(com.solarmetric.rd.kodo.util.ProxyManager manager)` The `ProxyManager` to use.
`void` | `setProxyManagerClass(java.lang.String proxyClass)` The full class name of the `ProxyManager` to use for second class object proxies.
`void` | `setProxyManagerProperties(java.lang.String props)` Configuration for the `ProxyManager`.
`void` | `setRestoreValues(boolean restoreValues)` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRestoreValues(java.lang.Boolean restoreValues)` Wrapper for JCA usage of `setRestoreValues(boolean)`.
`void` | `setRetainValues(boolean retainValues)` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRetainValues(java.lang.Boolean retainValues)` Wrapper for JCA usage of `setRetainValues(boolean)`.
`void` | `setUseManagedRuntime(boolean useManaged)` Whether to use managed transactions for persistence managers produced by the configured factory.
`void` | `setUseManagedRuntime(java.lang.Boolean useManaged)` Wrapper for JCA usage of `setUseManagedRuntime(boolean)`.

Methods inherited from interface com.solarmetric.rd.conf.Configuration
`free, fromProperties, getLog, getLogFactory, isFrozen, setFrozen, setLog, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### LOG_METADATA

    public static final java.lang.String LOG_METADATA

  Name of logger for JDO metadata-related messages: `com.solarmetric.kodo.MetaData`.

  See Also:
    Constant Field Values

### LOG_ENHANCE

    public static final java.lang.String LOG_ENHANCE

  Name of logger for enhancement-related messages: `com.solarmetric.kodo.Enhance`.

  See Also:
    Constant Field Values

### LOG_RUNTIME

    public static final java.lang.String LOG_RUNTIME

  Name of logger for messages from the runtime system: `com.solarmetric.kodo.Runtime`.

  See Also:
    Constant Field Values

### LOG_DATACACHE

    public static final java.lang.String LOG_DATACACHE

  Name of logger for messages from the data cache: `com.solarmetric.kodo.DataCache`.

  See Also:
    Constant Field Values

Method Detail

### getLicenseKey

    public java.lang.String getLicenseKey()

  The license key for Kodo.

### setLicenseKey

    public void setLicenseKey(java.lang.String licenseKey)

  The license key for Kodo.

### getLicense

    public com.solarmetric.rd.license.License getLicense()

  Return the license for the set license key.

### getClassResolverClass

    public java.lang.String getClassResolverClass()

  The full class name of the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.

### setClassResolverClass

    public void setClassResolverClass(java.lang.String classResolverClass)

  The full class name of the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.

### getClassResolverProperties

    public java.lang.String getClassResolverProperties()

  Configuration options for the `ClassResolver`.

### setClassResolverProperties

    public void setClassResolverProperties(java.lang.String classResolverProperties)

  Configuration options for the `ClassResolver`.

### getClassResolver

    public com.solarmetric.rd.kodo.util.ClassResolver getClassResolver()

  The `ClassResolver` to use.

### setClassResolver

    public void setClassResolver(com.solarmetric.rd.kodo.util.ClassResolver classResolver)

  The `ClassResolver` to use.

### getPersistenceManagerClass

    public java.lang.String getPersistenceManagerClass()

  The full class name of the `PersistenceManager` type to create.

### setPersistenceManagerClass

    public void setPersistenceManagerClass(java.lang.String pmClass)

  The full class name of the `PersistenceManager` type to create.

### getPersistenceManagerProperties

    public java.lang.String getPersistenceManagerProperties()

  Configuration options for the `PersistenceManager`.

### setPersistenceManagerProperties

    public void setPersistenceManagerProperties(java.lang.String props)

  Configuration options for the `PersistenceManager`.

### getDataCacheClass

    public java.lang.String getDataCacheClass()

  The `DataCache` to use for level-2 data store caching.

### setDataCacheClass

    public void setDataCacheClass(java.lang.String dataCacheClass)

  The `DataCache` to use for level-2 data store caching.

### getDataCacheProperties

    public java.lang.String getDataCacheProperties()

  Configuration options for the `DataCache`.

### setDataCacheProperties

    public void setDataCacheProperties(java.lang.String props)

  Configuration options for the `DataCache`.

### getDataCache

    public com.solarmetric.rd.kodo.runtime.datacache.DataCache getDataCache()

  The L2 `DataCache` to use.

### setDataCache

    public void setDataCache(com.solarmetric.rd.kodo.runtime.datacache.DataCache cache)

  The L2 `DataCache` to use.

### getUseManagedRuntime

    public boolean getUseManagedRuntime()

  Whether to use managed transactions for persistence managers produced by the configured factory.

### setUseManagedRuntime

    public void setUseManagedRuntime(boolean useManaged)

  Whether to use managed transactions for persistence managers produced by the configured factory.

### setUseManagedRuntime

    public void setUseManagedRuntime(java.lang.Boolean useManaged)

  Wrapper for JCA usage of `setUseManagedRuntime(boolean)`.

### getManagedRuntimeClass

    public java.lang.String getManagedRuntimeClass()

  The full class name of the `ManagedRuntime` to use for managed environments.

### setManagedRuntimeClass

    public void setManagedRuntimeClass(java.lang.String managedRuntimeClass)

  The full class name of the `ManagedRuntime` to use for managed environments.

### getManagedRuntimeProperties

    public java.lang.String getManagedRuntimeProperties()

  Configuration options for the `ManagedRuntime`.

### setManagedRuntimeProperties

    public void setManagedRuntimeProperties(java.lang.String props)

  Configuration options for the `ManagedRuntime`.

### getManagedRuntime

    public com.solarmetric.rd.kodo.runtime.ManagedRuntime getManagedRuntime()

  The plugin to use for integrating with a managed runtime.

### setManagedRuntime

    public void setManagedRuntime(com.solarmetric.rd.kodo.runtime.ManagedRuntime runtime)

  The plugin to use for integrating with a managed runtime.

### getProxyManagerClass

    public java.lang.String getProxyManagerClass()

  The full class name of the `ProxyManager` to use for second class object proxies.

### setProxyManagerClass

    public void setProxyManagerClass(java.lang.String proxyClass)

  The full class name of the `ProxyManager` to use for second class object proxies.

### getProxyManagerProperties

    public java.lang.String getProxyManagerProperties()

  Configuration for the `ProxyManager`.

### setProxyManagerProperties

    public void setProxyManagerProperties(java.lang.String props)

  Configuration for the `ProxyManager`.

### getProxyManager

    public com.solarmetric.rd.kodo.util.ProxyManager getProxyManager()

  The `ProxyManager` to use.

### setProxyManager

    public void setProxyManager(com.solarmetric.rd.kodo.util.ProxyManager manager)

  The `ProxyManager` to use.

### getConnectionProperties

    public java.lang.String getConnectionProperties()

  These properties provide any additional information needed to establish connections.

### setConnectionProperties

    public void setConnectionProperties(java.lang.String props)

  These properties provide any additional information needed to establish connections.

### getConnectionFactoryProperties

    public java.lang.String getConnectionFactoryProperties()

  Configuration properties for the connection factory.

### setConnectionFactoryProperties

    public void setConnectionFactoryProperties(java.lang.String props)

  Configuration properties for the connection factory.

### getPersistenceManagerFactoryClass

    public java.lang.String getPersistenceManagerFactoryClass()

  The `PersistenceManagerFactory` class name.

### setPersistenceManagerFactoryClass

    public void setPersistenceManagerFactoryClass(java.lang.String pmFactoryClass)

  The `PersistenceManagerFactory` class name.

### getOptimistic

    public boolean getOptimistic()

  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setOptimistic

    public void setOptimistic(boolean optimistic)

  The default Optimistic setting for all PersistenceManager instances obtained from this factory.

### setOptimistic

    public void setOptimistic(java.lang.Boolean optimistic)

  Wrapper for JCA usage of `setOptimistic(boolean)`.

### getRetainValues

    public boolean getRetainValues()

  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(boolean retainValues)

  The default RetainValues setting for all PersistenceManager instances obtained from this factory.

### setRetainValues

    public void setRetainValues(java.lang.Boolean retainValues)

  Wrapper for JCA usage of `setRetainValues(boolean)`.

### getRestoreValues

    public boolean getRestoreValues()

  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(boolean restoreValues)

  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.

### setRestoreValues

    public void setRestoreValues(java.lang.Boolean restoreValues)

  Wrapper for JCA usage of `setRestoreValues(boolean)`.

### getIgnoreCache

    public boolean getIgnoreCache()

  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(boolean ignoreCache)

  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.

### setIgnoreCache

    public void setIgnoreCache(java.lang.Boolean ignoreCache)

  Wrapper for JCA usage of `setIgnoreCache(boolean)`.

### getNontransactionalRead

    public boolean getNontransactionalRead()

  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(boolean ntRead)

  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalRead

    public void setNontransactionalRead(java.lang.Boolean ntRead)

  Wrapper for JCA usage of `setNontransactionalRead(boolean)`.

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean ntWrite)

  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.

### setNontransactionalWrite

    public void setNontransactionalWrite(java.lang.Boolean ntWrite)

  Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.

### getMultithreaded

    public boolean getMultithreaded()

  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(boolean multithreaded)

  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.

### setMultithreaded

    public void setMultithreaded(java.lang.Boolean multithreaded)

  Wrapper for JCA usage of `setMultithreaded(boolean)`.

### getConnectionUserName

    public java.lang.String getConnectionUserName()

  The user name for the data store connection.

### setConnectionUserName

    public void setConnectionUserName(java.lang.String connectionUserName)

  The user name for the data store connection.

### getConnectionPassword

    public java.lang.String getConnectionPassword()

  The password for the data store connection.

### setConnectionPassword

    public void setConnectionPassword(java.lang.String connectionPassword)

  The password for the data store connection.

### getConnectionURL

    public java.lang.String getConnectionURL()

  The URL for the data store connection.

### setConnectionURL

    public void setConnectionURL(java.lang.String connectionURL)

  The URL for the data store connection.

### getConnectionDriverName

    public java.lang.String getConnectionDriverName()

  Class name of the Connection Driver.

### setConnectionDriverName

    public void setConnectionDriverName(java.lang.String driverName)

  Class name of the Connection Driver.

### getConnectionFactoryName

    public java.lang.String getConnectionFactoryName()

  The name for the data store connection factory.

### setConnectionFactoryName

    public void setConnectionFactoryName(java.lang.String cfName)

  The name for the data store connection factory.

### getConnectionFactory

    public java.lang.Object getConnectionFactory()

  The connection factory, possibly from JNDI.

### setConnectionFactory

    public void setConnectionFactory(java.lang.Object factory)

  The connection factory.

### getConnectionFactory2Name

    public java.lang.String getConnectionFactory2Name()

  The name for the second data store connection factory.

### setConnectionFactory2Name

    public void setConnectionFactory2Name(java.lang.String cf2Name)

  The name for the second data store connection factory.

### getConnectionFactory2

    public java.lang.Object getConnectionFactory2()

  The connection factory, possibly from JNDI.

### setConnectionFactory2

    public void setConnectionFactory2(java.lang.Object factory)

  The connection factory.

### getFetchThreshold

    public int getFetchThreshold()

  Get the threshold below which result lists will be completely instantiated upon their creation.

### setFetchThreshold

    public void setFetchThreshold(int threshold)

  Set the threshold below which result lists will be completely instantiated upon their creation.

### setFetchThreshold

    public void setFetchThreshold(java.lang.Integer threshold)

  Wrapper for JCA usage of `setFetchThreshold(int)`.

### getFetchBatchSize

    public int getFetchBatchSize()

  Get the size of the batch that will be pre-selected when accessing elements in a query or relationship.

### setFetchBatchSize

    public void setFetchBatchSize(int size)

  Set the size of the batch that will be pre-selected when accessing elements in a query or relationship.

### setFetchBatchSize

    public void setFetchBatchSize(java.lang.Integer size)

  Wrapper for JCA usage of `setFetchBatchSize(int)`.

### getFilterListenerClasses

    public java.lang.String getFilterListenerClasses()

  A ','-separted list of the class names of the query `FilterListener`s to use.

### setFilterListenerClasses

    public void setFilterListenerClasses(java.lang.String listeners)

  A ','-separted list of the class names of the query `FilterListener`s to use.

### getFilterListeners

    public com.solarmetric.rd.kodo.query.FilterListener[] getFilterListeners()

  Return the query filter listeners. If none have been set explicitly, this method instantiates the listeners from the set class name list.

### setFilterListeners

    public void setFilterListeners(com.solarmetric.rd.kodo.query.FilterListener[] listeners)

  Set the query filter listeners. Overrides the list of listener classes.

### getMetaDataRepository

    public com.solarmetric.rd.kodo.meta.JDOMetaDataRepository getMetaDataRepository()

  The metadata repository of managed class information. If no repository has been set, creates one.

### setMetaDataRepository

    public void setMetaDataRepository(com.solarmetric.rd.kodo.meta.JDOMetaDataRepository mdRepos)

  The metadata repository of managed class information.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.